Class | Bio::NCBI::SOAP
In: | lib/bio/io/ncbisoap.rb
Parent: | Bio::SOAPWSDL

## References

- eutils.ncbi.nlm.nih.gov/entrez/query/static/esoap_help.html

## Methods

All methods accept a hash as its argument and most of the keys can be ommited (values are string).

Note: Methods which name ends with _MS are designed for use with Microsoft Visual Studio and SOAP Toolkit 3.0

- www.ncbi.nlm.nih.gov/entrez/query/static/esoap_ms_help.html
- run_eFetch(_MS)
  - "db", "id", "WebEnv", "query_key", "tool", "email", "retstart", "retmax", "rettype", "strand", "seq_start", "seq_stop", "complexity", "report"
- run_eGquery(_MS)
  - "term", "tool", "email"
- run_eInfo(_MS)
  - "db", "tool", "email"
- run_eSpell(_MS)
  - "db", "term", "tool", "email"
- run_eLink(_MS)
  - "db", "id", "reldate", "mindate", "maxdate", "datetype", "term" "dbfrom", "WebEnv", "query_key", "cmd", "tool", "email"
- run_eSearch(_MS)
  - "db", "term", "WebEnv", "QueryKey", "usehistory", "tool", "email", "field", "reldate", "mindate", "maxdate", "datetype", "RetStart", "RetMax", "rettype", "sort"
- run_eSummary(_MS)
  - "db", "id", "WebEnv", "query_key", "retstart", "retmax", "tool", "email"

## Complex data types

- www.ncbi.nlm.nih.gov/entrez/eutils/soap/egquery.xsd
- www.ncbi.nlm.nih.gov/entrez/eutils/soap/einfo.xsd
- www.ncbi.nlm.nih.gov/entrez/eutils/soap/esearch.xsd
- www.ncbi.nlm.nih.gov/entrez/eutils/soap/esummary.xsd
- www.ncbi.nlm.nih.gov/entrez/eutils/soap/elink.xsd
- www.ncbi.nlm.nih.gov/entrez/eutils/soap/efetch.xsd
- www.ncbi.nlm.nih.gov/entrez/eutils/soap/espell.xsd

### Methods

method_missing new

### Classes and Modules

Class Bio::NCBI::SOAP::EFetch
Class Bio::NCBI::SOAP::EFetchLite
Class Bio::NCBI::SOAP::EUtils
Class Bio::NCBI::SOAP::EUtilsLite

### Constants

BASE_URI | = | "http://www.ncbi.nlm.nih.gov/entrez/eutils/soap/"
SERVER_URI | = | BASE_URI + "eutils.wsdl" |  | set default to EUtils

### Public Class methods

new(wsdl = nil)

[Source]

        # File lib/bio/io/ncbisoap.rb, line 74
    74:   def initialize(wsdl = nil)
    75:     super(wsdl || self.class::SERVER_URI)
    76:   end

### Public Instance methods

method_missing(*arg)

[Source]

        # File lib/bio/io/ncbisoap.rb, line 78
    78:   def method_missing(*arg)
    79:     sleep 3                     # make sure to rest for 3 seconds per request
    80:     @driver.send(*arg)
    81:   end

[Validate]